> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pagination

Core API endpoints that list records are returned in reverse chronological order, with the most recently created
resource showing up first. You may optionally provide the following pagination parameters to limit the
returned records.

## Props

<ParamField query="from_date" type="string">
  ISO 8601 formatted date (YYYY-MM-DD) to filter for records created on or after the date provided.
</ParamField>

<ParamField query="to_date" type="string">
  ISO 8601 formatted date (YYYY-MM-DD) to filter for records created on or before the date provided.
</ParamField>

<ParamField query="page" type="string">
  The page number to return.
</ParamField>

<ParamField query="page_cursor" type="string">
  The ID of a resource from which a page should start or end. Mutually exclusive with `page`.
</ParamField>

<ParamField query="page_limit" type="string">
  The number of records to return per page. Default and maximum is 100.
</ParamField>

## Returns

Returns a list of the requested resource with the applied pagination. Additionally, the following headers are returned with the response:

#### Response pagination headers

| Key                           | Description                                       |
| ----------------------------- | ------------------------------------------------- |
| `Pagination-Page`             | The current page.                                 |
| `Pagination-Page-Count`       | The total number of pages available.              |
| `Pagination-Page-Limit`       | The number of records to return per page.         |
| `Pagination-Total-Count`      | The total number of records matching the request. |
| `Pagination-Page-Cursor-Prev` | The previous page cursor.                         |
| `Pagination-Page-Cursor-Next` | The next page cursor.                             |

<RequestExample>
  ```bash cURL theme={null}
  curl "https://production.methodfi.com/payments?page_limit=1&to_date=2020-12-10" \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const payments = await method.payments.list({
    page_limit: 1,
    to_date: '2020-12-10',
  });
  ```

  ```python Python theme={null}
  payments = method.payments.list({
    'page_limit': 1,
    'to_date': '2020-12-10'
  })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "id": "pmt_rPrDPEwyCVUcm",
        "reversal_id": null,
        "source_trace_id": null,
        "destination_trace_id": null,
        "source": "acc_JMJZT6r7iHi8e",
        "destination": "acc_AXthnzpBnxxWP",
        "amount": 5000,
        "description": "Loan Pmt",
        "status": "pending",
        "error": null,
        "metadata": null,
        "estimated_completion_date": "2020-12-11",
        "source_settlement_date": "2020-12-09",
        "destination_settlement_date": "2020-12-11",
        "created_at": "2020-12-09T00:42:31.209Z",
        "updated_at": "2020-12-09T00:43:30.996Z"
      }
    ]
  }
  ```
</ResponseExample>
